NSX-T Data Center REST API

Read a BGP routing config

Read a BGP routing config.

Request:

Method:
GET
URI Path(s):
/policy/api/v1/infra/route-controllers/{router-controller-id}/bgp
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
n/a

Example Request:

GET https://<policy-mgr>/policy/api/v1/infra/route-controllers/RC-1/bgp

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
RouteControllerBgpRoutingConfig+

Example Response:

{ "local_as_num": "421", "ecmp": false, "multipath_relax": false, "resource_type": "RouteControllerBgpRoutingConfig", "id": "bgp", "display_name": "RC-1-bgp-config", "path": "/infra/route-controllers/RC-1/bgp", "relative_path": "bgp", "parent_path": "/infra/route-controllers/RC-1", "remote_path": "", "unique_id": "cbc8622b-5370-4c94-b9ff-d51e0783113c", "realization_id": "cbc8622b-5370-4c94-b9ff-d51e0783113c", "owner_id": "354641e0-27ca-477d-a200-fc150eeac6f0", "marked_for_delete": false, "overridden": false, "_system_owned": false, "_protection": "NOT_PROTECTED", "_create_time": 1762477661141, "_create_user": "admin", "_last_modified_time": 1762477661141, "_last_modified_user": "admin", "_revision": 0 }

Required Permissions:

read

Feature:

policy_route_controller

Additional Errors: